sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konrad Windszus (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SLING-7298) Validation IT: Use slingstart-maven-plugin in favour of pax-exam
Date Sun, 10 Dec 2017 14:03:00 GMT

    [ https://issues.apache.org/jira/browse/SLING-7298?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16285256#comment-16285256
] 

Konrad Windszus commented on SLING-7298:
----------------------------------------

bq. the issue is in Oak and not in Pax Exam (Pax Exam has disclosed several issues in the
past) – and the issue has to be fixed in Oak anyway
Maybe, but the issue is not visible when running the IT in the context of Sling 9 Launchpad.
That is all I care about right now in the context of the validation IT.

bq. Removing the test framework to hide an issue is not very clever. Setting up Sling Launchpad
right for testing seems to be quite tricky, right?
Leaving out the cleverness factor which seems to be quite a pretty personal view, setting
up Sling Launchpad for an IT is IMHO a lot easier than relying on Pax-Exam. I am just reusing
the provisioning model being provided by Sling anyhow. I just deploy on top of that the latest
version of my own bundle and I am done. Also starting the according server with {{slingstart-maven-plugin}}
is a configuration in the pom.xml only (in contrast to relying on a lot of glue code for pax
exam).

> Validation IT: Use slingstart-maven-plugin in favour of pax-exam
> ----------------------------------------------------------------
>
>                 Key: SLING-7298
>                 URL: https://issues.apache.org/jira/browse/SLING-7298
>             Project: Sling
>          Issue Type: Improvement
>          Components: Validation
>    Affects Versions: Validation 1.0.0
>            Reporter: Konrad Windszus
>            Assignee: Konrad Windszus
>             Fix For: Validation Core 1.0.2
>
>
> Due to issues with pax-exam with the newest Oak 1.6.0 (described in https://www.mail-archive.com/dev@sling.apache.org/msg72805.html)
and also because leveraging pax-exam with Sling is complex (to get all necessary dependencies
right) I propose to use the {{slingstart-maven-plugin}} together with a custom Sling Launchpad
instead. The according model is derived from the default Sling 9 launchpad and only two additional
bundles are added there.
> In addition the deprecated {{testing.tools}} dependency should be removed.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message